HaruImage::getBitsPerComponent
HaruImage::getHeight
HaruImage
PHP Manual

# HaruImage::getColorSpace

(PECL haru:0.0.1)

HaruImage::getColorSpace — Get the name of the color space

### Description

string HaruImage::getColorSpace ( void )

Get the name of the color space.

### Parameters

This function has no parameters.

### Return Values

Returns the name of the color space of the image. The name is one of the following values:

- "DeviceGray"
- "DeviceRGB"
- "DeviceCMYK"
- "Indexed"

### Errors/Exceptions

Throws HaruException on error.

HaruImage::getBitsPerComponent
HaruImage::getHeight
HaruImage
PHP Manual